package cn.pluss.platform.systemConfig;

import java.util.List;
import java.util.Map;

import cn.pluss.platform.entity.SystemConfig;
import com.baomidou.mybatisplus.extension.service.IService;

public interface SystemConfigService extends IService<SystemConfig> {

    SystemConfig querySystemConfig(SystemConfig systemConfig);

    List<SystemConfig> querySystemConfigList(SystemConfig systemConfig);

    void saveSystemConfig(SystemConfig systemConfig);

    void updateSystemConfig(SystemConfig systemConfig);

    void deleteSystemConfig(SystemConfig systemConfig);

    List<SystemConfig> querySystemConfigPage(Map map);

    Integer querySystemConfigPageCount(Map map);

    void saveSystemConfigBatch(List<SystemConfig> systemConfigList);

    String querySystemConfigValue(String string);

    /**
     * getdoMain:(获取域名). <br/>
     *
     * @return
     * @author Administrator
     * @since JDK 1.8
     */
    String getdoMain();

    /**
     * getaisleSwitch:(获取当前支付通道). <br/>
     *
     * @return
     * @author Administrator
     * @since JDK 1.8
     */
    String getaisleSwitch();


    Object updateSystemVersion(int platformCode);
}
